Subject: [bug#30532] [PATCH] Shepherd: Terminate all services upon SIGTERM or SIGHUP

From: Leo Famulari <[email-masked]>
Date: Thu, 1 Mar 2018 19:30:09 -0500

On Wed, Feb 28, 2018 at 08:19:15AM +1100, Carlo Zancanaro wrote:
> On Tue, Feb 27 2018, Leo Famulari wrote:
> > "This update broke my workflow" <https://xkcd.com/1172/>
> 
> How seriously should I take this? I understand that it's a joke, but are you
> currently relying on this behaviour of shepherd? I could add an action to
> the root service to tell shepherd to leave processes behind when it is
> killed, if we wanted to expose that behaviour.

I am using it, but it's not critical. I can stay logged in with tmux or
something after this change. I'd rather we address this use case as
described previously, with something like 'enable-linger'.